<?php

namespace Drupal\instagram_field\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * InstagramfieldupdateCommand class.
 */
class InstagramfieldupdateCommand implements CommandInterface {
  protected $locations;

  /**
   * Constructs a instagramfieldupdateCommand object.
   */
  public function __construct($locations) {
    $this->locations = $locations;
  }

  /**
   * Implements Drupal\Core\Ajax\CommandInterface:render().
   */
  public function render() {
    return [
      'command' => 'instagram_field_auth',
      'locations' => $this->locations,
    ];
  }

}
