<?php

namespace Drupal\Tests\instagram_field\Unit;

use Drupal\Tests\UnitTestCase;
use Drupal\instagram_field\Form\SettingsForm;
use Drupal\instagram_field\Ajax\instagramfieldupdateCommand;
use Drupal\instagram_field\Controller\CallbackController;
use Drupal\instagram_field\Plugin\Field\FieldFormatter\InstagramFieldFormatter;
use Drupal\instagram_field\Plugin\Field\FieldType\InstagramFieldItem;
use Drupal\instagram_field\Plugin\Field\FieldWidget\InstagramFieldWidget;

/**
 * Test that URL parsing for the provider is functioning.
 *
 * @group instagram_field
 */
class InstagramFieldTest extends UnitTestCase {

  /**
   * Test updateCommand.
   */
  public function testInstagramField() {
    $updateCommand = new instagramfieldupdateCommand('abc');
    $this->assertEquals(['command' => 'instagram_field_auth', 'locations' => 'abc'],
      $updateCommand->render());
  }

}
